var Activity_subtype = Activity_manuscript_type.extend({

    submit_question: function (question_index) {

        //safe_log("submit_question");        


        this._super(question_index);

		

    }, // end submit_question


    show_question_feedback: function(question, is_correct, try_again) {

         //safe_log("show_question_feedback");
         //safe_log(question);

		// remove prior feedback if there

		$("#question_feedback_" + question.index).remove();

		

		// if we don't have any feedback at all, return

		if (question.md.feedback == null && question.md.feedback_correct == null && question.md.feedback_incorrect == null && question.md.feedback_hint == null) {

			return;

		}


        var feedback = question.md.feedback_correct;
        feedback = feedback.replace(/<strong>.*?<\/strong> /g, "");
        feedback = feedback.replace(/(Source \d+\.\d+:)/g, "::$1");
        //safe_log("feedback: " + feedback);
        var fb_array = feedback.split("::");
        //safe_log(fb_array);

        var $ques = question.jq.find("table tbody");
        var fb_array_length = fb_array.length;
        for (var i = 1; i < fb_array_length; i++) {
            if (/Source \d+\.(\d+):/.test(fb_array[i])) {
                var tr_num = parseInt(RegExp.$1, 10) + 1;

                // correct_answer will be 0 for checked and 1 for unchecked
                var correct_answer = question.queries[(tr_num - 2)].correct_answer_index;
                //safe_log("correct_answer: " + correct_answer);
                // grade will be 0 if they got it wrong, 100 if they got it right
                var grade = question.queries[(tr_num - 2)].grade;
                //safe_log("grade: " + grade);

                // set pre text for feedback based on whether the answer should have been checked
                var pre_text;
                // should be checked but wasn't
                if (correct_answer == 0 && grade == 0) {
                    pre_text = "Sorry, this should have been checked. ";
                }
                // should be checked and was
                if (correct_answer == 0 && grade == 100) {
                    pre_text = "Correct. ";
                }
                // shouldn't be checked and wasn't
                if (correct_answer == 1 && grade == 100) {
                    pre_text = "Correct. ";
                }
                // shouldn't be checked and was
                if (correct_answer == 1 && grade == 0) {
                    pre_text = "Sorry, this shouldn't have been checked. ";
                }
                


                //safe_log("Test matches for i:" + tr_num);
                var td = $ques.find("tr:nth-child(" + tr_num + ") td:nth-child(2)");
                //safe_log(td);
                var fb_str = fb_array[i];
                fb_str = fb_str.replace(/Source \d+\.\d+: /, "");
                td.append("<span class='fb'>" + pre_text + fb_str + "</span>");
            }    
        }


    } // end show_question_feedback


}); // end Activity_subtype


var Player_subtype_bruce = Player_subtype.extend({

    initialize: function(id) {
	
	// Do not delete this
	this._super(id);
	
	this.activity = new Activity_subtype();

    } // end initialize

}); // end Player_subtype


player = new Player_subtype_bruce();
